#!/bin/sh

# zroot - is simply script to access root directory directly from file manager.
# Please don't modify code.

mypath=${0%/*}

showRadio "zMount_SVG_XML 5.1" "experimental" "Turn ON" "Turn OFF"
ret=$?
[ $ret -eq 0 ] && exit

case $ret in
	1)
		if [ -f /ezxlocal/superstart.sh ]
		then
			cp /ezxlocal/superstart.sh /ezxlocal/superstart.BCKP
		fi
		rm /ezxlocal/mount_SVG_experimantal
		cp $mypath/mount_SVG_experimantal /ezxlocal/mount_SVG_experimantal
		chmod 777 /ezxlocal/mount_SVG_experimantal
		rm /ezxlocal/superstart.sh
		cp $mypath/superstart.txt /ezxlocal/superstart.sh
		showNotify "Complete" "zMountSVG turned ON. Restart Phone please." 1 5
		;;
	2)
		umount /etc/initservices/services/mount_SVG.sh
		rm /ezxlocal/superstart.sh
		if [ -f /ezxlocal/superstart.BCKP ]
		then
			mv /ezxlocal/superstart.BCKP /ezxlocal/superstart.sh
		fi
		rm /ezxlocal/mount_SVG_experimantal
		showNotify "Complete" "zMountSVG turned OFF. Restart Phone please." 1 5
		;;
	*)
		;;
esac
